function v=CameraSetup()
%% Import/load camera configuration file using image acquisition toolbox

%% Reset all cameras attached to the computer to avoid lingering issues
imaqreset;

%% Connect to camera
v = videoinput("winvideo", 2, "MJPG_2592x1944");
v.ReturnedColorspace = "rgb";
triggerconfig(v, 'manual');
v.FramesPerTrigger=1;

%% Configure camera settings (blank uses defaults)


%% Make sure the image buffer is empty
% flushdata(v);

%% Start the preview
start(v);

%% Make this videoinput accessible from any function
assignin('base','Camera',v);
