function GalilTime=ComputeGalilTime(TrueTime)

%% UnCorrect for true servo update rate.  From DMC manual:
% TIME: The keyword, TIME, does not require an underscore (_) as with the other operands.
% TIME will increment up to +2,147,483,647 before rolling over to -2,147,483,648 and continuing to count up.
% TIME rollover occurs after ~24-25 days of on-time at TM 1000 with no reset.
% TM 1000 will actually set an update rate of 976 microseconds. Thus the value returned by the TIME operand will be off by 2.4% of the actual time.

%% Converts ms to cycles
GalilTime=1000/976*TrueTime;
