function GalilRun(app,prog_in,watch_timer,varargin)
%% Run the loading protocol one time
global waiting;


prog=BuildBasicProgram(app,prog_in);
if(isempty(varargin))%starting a new program with no special requirements
    app.Controller.command('ST');%stop execution of program - gives control of thread 0 back to Galil
    app.Controller.programDownload(prog);

    %% Print the program which will run - useful for debugging
    disp('Now executing:')
    prog

    app.Controller.command('XQ');
else%program already running, but need to start another function handle (e.g. checking for contact)
    execution_handle=varargin{1};
    execution_thread=varargin{2};
    app.Controller.command(['XQ',execution_handle,',',int2str(execution_thread)]);
end

waiting=1;
set(app.MotorOnLamp,'Color','g');
% stoppreview(app.Camera);
%% hold until program is done
app.RunTimer=tic;
while(waiting)%waiting is set to zero by onDMCMessage when controller program completes
    pause(watch_timer);
    if(~waiting)%exiting this time through the loop
        RunBackgroundApp(app);%keep the background app running!
    end
end
set(app.MotorOnLamp,'Color','r');
% preview(app.Camera,app.hImage);
tic;
