function Sample_Filename=PlaceSample(app)

%% Ensure the sample has a name
edt=app.SampleNameEditField;

%% Ensure the sample has a name and has a folder
if(isempty(edt.Value))
    edt.Value=char(inputdlg('Sample name:','Sample Name Required'));
end

%% Ensure sample name is unique
if(~isfolder("Results\")),mkdir("Results\");end
ResultsPath=['Results\',edt.Value,'\'];
if(isfolder(ResultsPath))%already a sample with this same ID
    edt.Value=char(inputdlg('Sample name already exists! UNIQUE sample ID highly recommended. Sample name:','UNIQUE Sample Name Recommended!'));
else%does not yet exist
    mkdir(ResultsPath);
end
Sample_Filename=fullfile(ResultsPath,[edt.Value,'.mat']);

%% Weigh container w/ media (if media is to be used)
h=msgbox('Fill container with media if desired, then click to tare load cell.');
uiwait(h);%wait for user input before proceeding
set(app.ProgramStatusTextArea,'Value','Taring load cell...');
TareVolts=ReadLoadCellNTimes(1e2,'@AN[1]-@AN[2]');

%% Place and weigh sample
h=msgbox('Ready to weigh sample. Place sample and click ok.');
uiwait(h);%wait for user input before proceeding
set(app.ProgramStatusTextArea,'Value','Weighing sample...');
SampleVolts=ReadLoadCellNTimes(1e2,'@AN[1]-@AN[2]');
SampleWeight=(SampleVolts-TareVolts)/app.LoadCell_Calibration_Coefficients_Sensitivity;%weight in Newtons

RunBackgroundApp(app);%keep it running in the background

%% Record sample characteristics
save(Sample_Filename,'TareVolts','SampleVolts','SampleWeight');

%% Note the sample's information
app.Controller_SamplePresent=true;
app.Sample_Name=edt.Value;
app.Sample_Filename=Sample_Filename;
app.Sample_Weight=SampleWeight;

