function [t,x,t_preconditioning_max,t_photo,x_photo]=PlotMotion(app)
%% NB: This is currently for strain control only!!!

Photo_increment=get(app.PhotoIncrementEditField,'Value');
ContactVelocity=get(app.ContactVelocityEditField,'Value');
value=get(app.IncludePreconditioningCheckBox,'Value');

[loading_file_name,loading_file_path]=uigetfile({'*.xlsx';'*.txt';'*.xls'});
loading_file=fullfile(loading_file_path,loading_file_name);

t_photo=0;x_photo=0;%always need a baseline photo

%% Preconditioning
if(value)
    Preconditioning_tbl=readtable(loading_file,"Sheet","Preconditioning");
    t_precondition=Preconditioning_tbl.t;
    x_precondition=Preconditioning_tbl.x;
else
    t_precondition=0;
    x_precondition=0;
end

t_preconditioning_max=max(t_precondition);

%% Pulloff
Pulloff_tbl=readtable(loading_file,"Sheet","Pulloff");
t_pulloff=Pulloff_tbl.t;x_pulloff=Pulloff_tbl.x;

%% Contact
x_contact=max(-(x_pulloff));
t_contact=x_contact/ContactVelocity;%estimate

%% Loading
loading=true;NumLoadingCycles=1;
Loading_tbl=readtable(loading_file,"Sheet","Experiment1");%must have at least 1 experiment

t_loading=[Loading_tbl.t];
x_loading=[Loading_tbl.x];
t_loading=[t_loading;t_loading(end)+t_pulloff];
x_loading=[x_loading;x_loading(end)+x_pulloff];
t_loading=[t_loading;t_loading(end)+t_contact];
x_loading=[x_loading;x_loading(end)+x_contact];

while(loading)
    NumLoadingCycles=NumLoadingCycles+1;
    try%keep checking for more experiments
        Loading_tbl=readtable(loading_file,"Sheet",['Experiment',int2str(NumLoadingCycles)]);
       
        t_this_ramp=Loading_tbl.t;
        x_this_ramp=Loading_tbl.x;

        t_loading=[t_loading;t_loading(end)+t_this_ramp];
        x_loading=[x_loading;x_loading(end)+x_this_ramp];%zero since it finds contact first

        t_loading=[t_loading;t_loading(end)+t_pulloff];
        x_loading=[x_loading;x_loading(end)+x_pulloff];
        t_loading=[t_loading;t_loading(end)+t_contact];
        x_loading=[x_loading;x_loading(end)+x_contact];

        for(i=1:length(x_this_ramp)-1)
            t0=t_this_ramp(i);
            t1=t_this_ramp(i+1);
            
            x0=x_this_ramp(i);
            x1=x_this_ramp(i+1);

            if(pos1>pos0)
                x_es=pos0:-Photo_increment:pos1;
            else
                x_es=pos0:Photo_increment:pos1;
            end

%             x_es=x0:sign(x1-x0)*Photo_increment:x1;
            t_es=linspace(t0,t1,length(x_es));
            t_es,x_es
            x_photo=[x_photo;x_es(:)]
            t_photo=[t_photo;t_es(:)]
        end
    catch%no more experiments specified
        NumLoadingCycles=NumLoadingCycles-1;
        loading=false;
        t_loading=[t_loading(1:end-2)];%don't wait or re-establish contact at conclusion of all loading profiles
        x_loading=[x_loading(1:end-2)];
    end
end

%% Complete loading history - preconditioning through end
t=[t_precondition;t_precondition(end)+t_loading];
x=[x_precondition;x_precondition(end)+x_loading];

tx=[t,x];
tx_unique=unique(tx,'rows');
t=tx_unique(:,1);x=tx_unique(:,2);

vel=[0;diff(x)./diff(t)];
t_photo=t_precondition(end)+t_photo;

cla(app.axes1);
plot(app.axes1,t,x,'k-');xlim(app.axes1,[min(t) max(t)]);xlabel (app.axes1,"Time (s)");ylabel(app.axes1,"Strain (-)");

hold(app.axes1,'all');plot(app.axes1,t_photo,x_photo,'rx');
set(app.axes1,'YLim',[min(x)-0.1*abs(min(x)) max(x)*1.1]);

%% Match x axis limits
t_lim=get(app.axes1,'XLim');
set(app.axes2,'XLim',t_lim);

%% Allow addition of plotted points to graph during loading
hold(app.axes1,'on');
hold(app.axes2,'on');

t(end)=[];x(end)=[];%remove extra zero

% all_points=[t(:) x(:)]
% 
% photo_points=[t_photo(:) x_photo(:)]