function RGB=TakeCameraPhoto(varargin)

persistent photo_number last_sample_name;

camera=evalin('base','Camera');

%% First, take the photo in case it's time sensitive
frame=getsnapshot(camera);

%% Decide if this is a new sample
if(nargin)
    Sample_Name=varargin{1};
    new_sample=~isempty(Sample_Name);
else
    new_sample=false;
end

%% Number the photograph
if(new_sample)
    photo_number=1;
    last_sample_name=Sample_Name;
else
    photo_number=photo_number+1;
end

%% Write the output
imgfile_name=fullfile('Results',last_sample_name,['Photo #',int2str(photo_number),'.tif']);
imwrite(frame, imgfile_name, "tiff");
