function prog_out=TranslateToGalil(t,x,photo_increment,t_preconditioning_max)
%% Inputs must be in ms and counts

prog_out='CB1;CB3;CB4\r';%make sure all bits are cleared (except contact - bit 2)

%% Program each loading/unloading segment separately
for(segment=1:length(t)-1)

    %% Compute the start/end positions/times and required velocity
    t0=t(segment);%start time
    t1=t(segment+1);%end time
    pos0=round(x(segment));%starting position
    pos1=round(x(segment+1));%end position
    SP=abs(round((pos1-pos0)/(t1-t0)));%speed

    if(segment==length(t)-1)%pulloff
        prog_out=sprintf([prog_out,'SB3;SB4\r']);
    elseif(SP==0)%hold
        prog_out=sprintf([prog_out,'CB3;CB4;WT',int2str(round((t1-t0)*1000)),';\r']);
    else%move at constant velocity - should include preconditioning
        prog_out=sprintf([prog_out,'PA',int2str(pos1),';SP',int2str(SP),';BG\r']);
        if(nargin>2 && t1>=t_preconditioning_max)%need to take a photo
            if(pos1>pos0)%
                prog_out=sprintf([prog_out,'SB3;CB4\r']);
                x_photo=pos0:-photo_increment:pos1;
            else
                prog_out=sprintf([prog_out,'CB3;SB4\r']);
                x_photo=pos0:photo_increment:pos1;
            end
            for(i=1:length(x_photo))
                prog_out=sprintf([prog_out,'AP',int2str(x_photo(i)),';XQ#photo,3\r']);
            end
        else%no photos included
        end
        prog_out=sprintf([prog_out,'MC\r']);%after the programmed motion is complete
    end
end
prog_out=sprintf([prog_out,'\rCB2\r']);%unset the "CONTACT" bit

prog_out=sprintf([prog_out,'\rMC\rMO\rMG"DONE"\rEN\r']);%after the programmed motion is complete
