function [Counts]=VoltsToCounts(Volts,ADCRange)
%% See p.84 of Controller Command Reference. This assumes 16-bit ADC with a voltage input range specified by ADCRange.
%  It automatically limits values to the allowable range using the min/max
%  code. This isn't run in real time but is a nice safety feature for force
%  feedback control where weird results may otherwise occur.

switch(ADCRange)
    case(1)%+/-5V
        Counts=round(Volts*32767/5);
        Counts=min(max(Counts,-32768),32767);
    case(2)%+/-10V
        Counts=round(Volts*32767/10);
        Counts=min(max(Counts,-32768),32767);
    case(3)%0-5V
        Counts=round(Volts*65535/5);
        Counts=min(max(Counts,0),65535);
    case(4)%0-10V
        Counts=round(Volts*65535/10);
        Counts=min(max(Counts,0),65535);
end



